Subject: very very important
From: fs fs <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Mon, 29 Jun 2020 15:49:53 +0000
List-Id: <ccteam.mumzworld.com>

I received a duplicate product
 The rest of my order was not received
 Please follow up and contact me
 This is a very dealy thing
 My order was very late within two months
 Two shipments, which are a detergent and perfumed clothes, have been returned and duplicated
 The rest of the products did not come to me
 I paid for my full order
 I am the first time to ask you online and very upset with this deal
I received this duplicate
 I did not receive the full products
 Please follow up the order and contact me on this number from Saudi Arabia 966536502650
‫أُرسلت من الـ iPhone‬